diff --git a/helpers/create_pvc.sh b/helpers/create_pvc.sh
index 20e7dd92a8f282169c47dcfc4b4c833c829c32f2..94b662e9e4498174265ccbdb4c82ec3455aae16c 100755
--- a/helpers/create_pvc.sh
+++ b/helpers/create_pvc.sh
@@ -40,9 +40,9 @@ elif [[ $pvc_pending != "Pending" ]]; then
     echo "PVC already exists and is not pending. Manually 'helm uninstall' all bound pods"
     exit 2
 else
-    echo "PVC exists but is pending, deleting..."
-#    kubectl $EXTRA_ARGS delete $pvc_name || fail "Could not delete existing PVC"
+    echo "PVC exists but is pending, deleting then recreating..."
+    kubectl $EXTRA_ARGS delete $pvc_name || fail "Could not delete existing PVC"
 fi
 
 
-kubectl $EXTRA_ARGS replace -f $pvc_file
\ No newline at end of file
+kubectl $EXTRA_ARGS apply -f $pvc_file
\ No newline at end of file